#ifndef IO
#define IO

#include "main.h"
#include "Graph.h"

using namespace std;

void readInputFile(string fname, vector<set<Neighbour, minNeighbour> >& AdjList, vector<string>& vName);
void printGraph(Graph& G);
string prettySolStringOrigLabels(Graph& G, Sol& C);
string prettySolString(Graph& G, Sol& C);
void printSolAndCheck(Graph& G, Sol& C, bool doOutput = true);
void writeSolToFile(Graph& G, Sol& C, string& fName);

#endif //IO



