#ifndef SHORTESTPATH
#define SHORTESTPATH

#include "main.h"

using namespace std;

Sol getPathFromPrev(int s, int t, vector<int>& L, vector<int>& prev);
void DijkstraTarget(Graph& G, int s, int t, vector<int>& L, vector<int>& prev);
void DijkstraSet(Graph& G, int s, set<int>& T, vector<int>& L, vector<int>& prev);
void DijkstraMaxDist(Graph& G, int s, int t, int dist, vector<int>& L, vector<int>& prev);
void randomBFSSet(Graph& G, int s, set<int>& T, vector<int>& L, vector<int>& prev);
void randomDFSSet(Graph & G, int s, set<int>& T, vector<int>&L, vector<int>&prev);
void RFSSet(Graph& G, int s, set<int>& T, vector<int>& L, vector<int>& prev);
void WilsonSet(Graph& G, int s, set<int>& T, vector<int>& L, vector<int>& prev);

#endif //SHORTESTPATH




